Create Experiment
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
name*string
projectId?string|null
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/experiments" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "archivedAt": "string", "backingFlag": { "enabled": true, "id": "string", "key": "string", "rolloutBps": 0 }, "createdAt": "string", "createdByUserId": "string", "description": "string", "endedAt": "string", "featureFlagId": "string", "hypothesis": "string", "id": "string", "name": "string", "primaryMetricEventName": "string", "projectId": "string", "secondaryMetricEventNames": [ "string" ], "startedAt": "string", "status": "draft", "treatments": [ { "archivedAt": "string", "config": null, "createdAt": "string", "experimentId": "string", "id": "string", "treatmentType": "string", "updatedAt": "string", "variantId": "string" } ], "updatedAt": "string", "updatedByUserId": "string", "variants": [ { "archivedAt": "string", "createdAt": "string", "experimentId": "string", "id": "string", "isControl": true, "name": "string", "updatedAt": "string", "weightBps": 0 } ], "version": 0, "winningVariantId": "string"}{ "_tag": "Api/SdkValidationError", "message": "string"}{ "_tag": "Api/AuthenticationError", "cause": "string", "message": "string"}{ "_tag": "Api/ActionForbiddenError", "message": "string"}{ "_tag": "Api/ExperimentServiceError", "cause": "string"}